from django.urls import path
from django.views.generic import RedirectView

from .views import CreateUserView, MyAccountView, UserDetailView,\
    ProfileListView, OrphanedProfileListView, OrganizersListView

app_name = "member"

urlpatterns = [
    path('signup/', CreateUserView.as_view(), name="signup"),
    path("my-account/", MyAccountView.as_view(), name="my_account"),
    path("information/<int:pk>/", UserDetailView.as_view(), name="information"),
    path("add-team/", RedirectView.as_view(pattern_name="index"), name="add_team"),
    path("join-team/", RedirectView.as_view(pattern_name="index"), name="join_team"),
    path("my-team/", RedirectView.as_view(pattern_name="index"), name="my_team"),
    path("my-team/update/", RedirectView.as_view(pattern_name="index"), name="update_my_team"),
    path("profiles/", ProfileListView.as_view(), name="all_profiles"),
    path("orphaned-profiles/", OrphanedProfileListView.as_view(), name="orphaned_profiles"),
    path("organizers/", OrganizersListView.as_view(), name="organizers"),
]
